# Read data and do the regression
# Ordinary regression is wrong
# Logistic regreesion is right

d <- read.table("glm_Eg.txt", sep = "\t", header = TRUE)
fitWrong <- lm(d$Survived ~ d$Age + d$Sex)
fitRight <- glm(d$Survived ~ d$Age + d$Sex, binomial)
summary(fitWrong)
summary(fitRight)



# Depict the regression lines/curves

a <- 0:100
surFemaleWrong <- 1.066 - 0.013 * a
surMaleWrong <- 1.066 - 0.013 * a - 0.319
surFemaleRight <- exp(3.23 - 0.078 * a) / (1 + exp(3.23 - 0.078 * a))
surMaleRight <- exp(3.23 - 0.078 * a - 1.597) / (1 + exp(3.23 - 0.078 * a - 1.597))



plot.new()
plot.window(xlim = c(0, 80), ylim = c(-0.1, 1.1))

points(d$Age[d$Sex == "Female"], d$Survived[d$Sex == "Female"], col = 2)
points(d$Age[d$Sex == "Male"], d$Survived[d$Sex == "Male"], col = 4)

lines(surFemaleRight, col = 2)
lines(surMaleRight, col = 4)
lines(surFemaleWrong , col = 2, lty = 2)
lines(surMaleWrong , col = 4, lty = 2)

axis(1)
axis(2)
box()



